# Class SpeciesFormChangeCondition

- Defined in src/data/pokemon-forms.ts:158

#####
Index

### Constructors

constructor

### Properties

enforceFunc
predicate

## Constructors

### constructor

- new SpeciesFormChangeCondition(predicate, enforceFunc?): SpeciesFormChangeCondition

- #### Parameters

  - predicate: SpeciesFormChangeConditionPredicate
  - `Optional` enforceFunc: SpeciesFormChangeConditionEnforceFunc

  #### Returns SpeciesFormChangeCondition

  - Defined in src/data/pokemon-forms.ts:162

## Properties

### enforceFunc

enforceFunc: SpeciesFormChangeConditionEnforceFunc

- Defined in src/data/pokemon-forms.ts:160

### predicate

predicate: SpeciesFormChangeConditionPredicate

- Defined in src/data/pokemon-forms.ts:159